package com.jpsoft.shinestar.modules.wechat.dao;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.wechat.entity.ReplyMessage;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface ReplyMessageDAO {
	int insert(ReplyMessage entity);
	int update(ReplyMessage entity);
	int exist(String id);
	ReplyMessage get(String id);
	int delete(String id);
	List<ReplyMessage> list();
	List<ReplyMessage> search(Map<String, Object> searchParams, List<Sort> sortList);
    ReplyMessage findByEvent(@Param("event")String event);


}